Issues¶
Use /activities/issues to retrieve all messages/requests for services created in the contactus page of wm.com.A date range can be specified to retrive messages/requests within those dates.
URI¶
GET /api/v1/customers/{customerId}/activities/issues
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique customer identifier |
| fromDate | N | Date | query | Start date formatted as yyyy-MM-dd |
| toDate | N | Date | query | End date formatted as yyyy-MM-dd |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| activities | Object | The activity details |
| issues_info | Object | The issues details |
| company | String | Organization |
| first_name | String | First name on account |
| last_name | String | Last name on account |
| String | Email address on account | |
| phone_number | String | Phone number on account |
| contact_method | String | Mode of communication used to raise issue |
| description | String | Description of the issue |
| submit_date | String | Date on which issue was reported |
| status | String | Current Status of the issue |
| csr_mailbox | String | CSR email box |
| device_channel | String | Channel where issue was reported |
| case_type_description | String | Description of case type |
| case_type_code | String | Code for case type |
| case_sub_type_description | String | Description of case sub type |
| case_sub_type_code | String | Code for case sub type |
| country | String | Country |
| billing_address | Object | Billing address on account |
| street_address | String | Street address |
| street_address2 | String | Street address |
| city | String | City |
| state | String | State |
| zip_code | String | Postal code |
| service_address | Object | Service address on account |
| street_address | String | Street address |
| street_address2 | String | Street address |
| city | String | City |
| state | String | State |
| zip_code | String | Postal code |
| user_id | Number | Customer login id |
| id | Number | Identifier for issue |
| audit_info | Object | Audit data |
| created_by | String | Issue raised by |
| created_date_time | String | Date and time when issue was reported |
| modified_by | String | Issue modified by |
| modified_date_time | String | Date and time when modification of issue reported occurred |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/activities/issues
Sample Response¶
{ "activities": [{ "issues_info": { "first_name": "Ron", "last_name": "Smith", "email": "rs@gmail.com", "phone_number": "(345)816-5142", "description": "Need new Lawn recycle can, the wheels are broken in the one i currently have.", "submit_date": "2016-10-18 00:00:00.0", "status": "Submitted", "csr_mailbox": "pnwrsservices@wm.com", "device_channel": "WM.COM", "case_type_description": "Service Inquiry", "case_type_code": "WOP", "case_sub_type_description": "Other service related questions", "case_sub_type_code": "WIQ", "country": "US", "billing_address": { "street_address": "1021 MAIN ST", "city": "HOUSTON", "state": "TX", "zip_code": "97008-5185" }, "service_address": { "street_address": "1021 MAIN ST", "city": "HOUSTON", "state": "TX", "zip_code": "97008-5185" } }, "id": "423434234", "audit_info": { "created_by": "CSS_APP", "created_date_time": "2016-10-18 09:56:52.0", "modified_by": "CSS_APP", "modified_date_time": "2016-10-18 09:56:52.0" } }]}